Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp
Class AFPGraphicsObjectInfo

    java.lang.Object
      org.apache.fop.afp.AFPDataObjectInfo
          org.apache.fop.afp.AFPGraphicsObjectInfo

    public class AFPGraphicsObjectInfo

extends AFPDataObjectInfo

A graphics object info which contains necessary painting objects

Field Summary

Fields inherited from class org.apache.fop.afp.AFPDataObjectInfo
`DEFAULT_MAPPING_OPTION`

Constructor Summary
`AFPGraphicsObjectInfo()`

Method Summary
`java.awt.geom.Rectangle2D` | `getArea()` Returns the graphics area
`AFPGraphics2D` | `getGraphics2D()` Returns the AFP graphics 2D implementation
`java.lang.String` | `getMimeType()` Returns the mime type of this data object
`org.apache.xmlgraphics.java2d.Graphics2DImagePainter` | `getPainter()` Returns the graphics painter
`void` | `setArea(java.awt.geom.Rectangle2D area)` Sets the graphics area area
`void` | `setGraphics2D(AFPGraphics2D g2d)` Sets the AFP graphics 2D implementation
`void` | `setPainter(org.apache.xmlgraphics.java2d.Graphics2DImagePainter graphicsPainter)` Sets the graphics painter
`java.lang.String` | `toString()`

Methods inherited from class org.apache.fop.afp.AFPDataObjectInfo
`getData, getDataHeight, getDataHeightRes, getDataWidth, getDataWidthRes, getMappingOption, getObjectAreaInfo, getObjectType, getResourceInfo, getUri, isCreatePageSegment, setCreatePageSegment, setData, setDataHeight, setDataHeightRes, setDataWidth, setDataWidthRes, setMappingOption, setMimeType, setObjectAreaInfo, setResourceInfo, setUri`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AFPGraphicsObjectInfo

    public AFPGraphicsObjectInfo()

Method Detail

### getPainter

    public org.apache.xmlgraphics.java2d.Graphics2DImagePainter getPainter()

  Returns the graphics painter

  Returns:
    the graphics painter

### setPainter

    public void setPainter(org.apache.xmlgraphics.java2d.Graphics2DImagePainter graphicsPainter)

  Sets the graphics painter

  Parameters:
    `graphicsPainter` - the graphics painter

### getArea

    public java.awt.geom.Rectangle2D getArea()

  Returns the graphics area

  Returns:
    the graphics area

### setArea

    public void setArea(java.awt.geom.Rectangle2D area)

  Sets the graphics area area

  Parameters:
    `area` - the graphics object area

### setGraphics2D

    public void setGraphics2D(AFPGraphics2D g2d)

  Sets the AFP graphics 2D implementation

  Parameters:
    `g2d` - the AFP graphics 2D implementation

### getGraphics2D

    public AFPGraphics2D getGraphics2D()

  Returns the AFP graphics 2D implementation

  Returns:
    the AFP graphics 2D implementation

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AFPDataObjectInfo`

### getMimeType

    public java.lang.String getMimeType()

  Returns the mime type of this data object

  Overrides:
    `getMimeType` in class `AFPDataObjectInfo`
  Returns:
    the mime type of this data object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.